## waifu2x-converter-cpp-dmo 5.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
enable_language(CXX)

project(waifu2xcpp)

include("CMakeDependentOption")
include("CheckIncludeFileCXX")

### Options

option(ENABLE_OPENCV "Build with OpenCV support? (Default: ON)" ON)
option(ENABLE_CUDA "Build with CUDA support? (Default: ON)" ON)
option(ENABLE_UNICODE "Build with Unicode support? (Default: ON)" ON)
option(ENABLE_TESTS "Build with test binaries? (Default: OFF)" OFF)
option(ENABLE_GUI "Build with basic GUI? (Default: ON, Windows Only)" ON)
# Better add support for multiple directories where to find models
# with paths separated by : (a la PATH) then install unconditionally
set(INSTALL_MODELS "Install waifu2x RGB models? (Default OFF)" ON)
if(WIN32)
	set(INSTALL_MODELS OFF)
endif()
### ########

### We need at least gcc 5
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
	if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0")
		message(FATAL_ERROR "This software requires GCC 5 or higher")
	endif()
endif()
### ########

### Get build time
string(TIMESTAMP TS)
add_definitions(-DBUILD_TS="${TS}")

### Check for Git and aquire version info
find_program(FOUND_GIT "git")
if (FOUND_GIT STREQUAL "FOUND_GIT-NOTFOUND")
	set(GIT_BRANCH "null")
	set(GIT_COMMIT_HASH "000000")
	set(GIT_TAG "v0.0.0")
	message(WARNING "Git not found, using placeholder version: ${GIT_TAG} (${GIT_BRANCH}-${GIT_COMMIT_HASH})")
else()
    execute_process(COMMAND git rev-parse --abbrev-ref HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE GIT_BRANCH OUTPUT_STRIP_TRAILING_WHITESPACE)
	execute_process(COMMAND git rev-parse --short HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE GIT_COMMIT_HASH OUTPUT_STRIP_TRAILING_WHITESPACE)
	execute_process(COMMAND git describe --tags --abbrev=0 HEAD WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} OUTPUT_VARIABLE GIT_TAG OUTPUT_STRIP_TRAILING_WHITESPACE)
	message(STATUS "Found git, set version to: ${GIT_TAG} (${GIT_BRANCH}-${GIT_COMMIT_HASH})")
endif()

add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")
add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
add_definitions(-DGIT_TAG="${GIT_TAG}")
### ########

### Make readable system id variable
set(LOCAL_SYS_TYPE "unknown")
if (MINGW)
	set(LOCAL_SYS_TYPE "MinGW")
endif()
if (UNIX)
	set(LOCAL_SYS_TYPE "Linux")
endif()
if (APPLE)
	set(LOCAL_SYS_TYPE "Apple")
endif()
if (MSVC)
	set(LOCAL_SYS_TYPE "MSVC")
endif()
message(STATUS "System is: ${CMAKE_SYSTEM_NAME} (${LOCAL_SYS_TYPE})")
### ########

### Get binary paths for APPLE users
if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "^(Apple)?Clang$")
	set(CMAKE_C_COMPILER "/usr/local/opt/llvm/bin/clang")
	set(CMAKE_CXX_COMPILER "/usr/local/opt/llvm/bin/clang++")
	set(CMAKE_EXE_LINKER_FLAGS "-L/usr/local/opt/llvm/lib -Wl,-rpath,/usr/local/opt/llvm/lib")
	set(CMAKE_SHARED_LINKER_FLAGS "-L/usr/local/opt/llvm/lib -Wl,-rpath,/usr/local/opt/llvm/lib")
	if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.0)
		set(FILE_SYSTEM_LIB "c++fs")
	endif()
elseif(UNIX OR MINGW)
# https://gitlab.kitware.com/cmake/cmake/issues/17834
	if (NOT FILE_SYSTEM_LIB AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9)
		set(FILE_SYSTEM_LIB "stdc++fs")
	endif()
elseif(MSVC)
	include(CheckCXXCompilerFlag)
	CHECK_CXX_COMPILER_FLAG("/std:c++latest" have_std_cpp_latest)
	if (have_std_cpp_latest)
		add_compile_options("/std:c++latest")
	else()
		message(FATAL_ERROR "The compile option '/std:c++latest' is not supported by your MSVC Version, please update.")
	endif()
endif()
### ########


### Find OpenCL
### The reason behind having it required on linux and not on windows:
### On Windows cmake fails to find the opencl.lib, as we only use Khronos Headers which doesn't come with the library
### So we bypass that by not making it required and double check for the header after.
### On linux typically the library always comes with the package.
if (WIN32)
	FIND_PACKAGE(OpenCL)
else()
	FIND_PACKAGE(OpenCL REQUIRED)
endif()
if (WIN32)
	set(OpenCL_FOUND FALSE)
	foreach(_DIR ${OpenCL_INCLUDE_DIRS})
		if(EXISTS "${_DIR}/CL/cl.h")
			set(OpenCL_FOUND TRUE)
		endif()
	endforeach()
	if (NOT OpenCL_FOUND)
		message(FATAL_ERROR "Could not find /CL/cl.h in ${OpenCL_INCLUDE_DIRS}")
	else()
		message(STATUS "Found /CL/cl.h in ${OpenCL_INCLUDE_DIRS}")
		message(STATUS "On Windows: Errors about 'missing: OpenCL_LIBRARY' can be ignored, that is not needed.")
		include_directories(${OpenCL_INCLUDE_DIRS})
	endif()
endif()

add_executable(conv conv.c)

set(HAVE_OPENCV FALSE)
set(HAVE_OPENCV_3_X FALSE)
if (ENABLE_OPENCV)
	if(UNIX)
		set(OPENCV_PREFIX "/usr" CACHE FILEPATH "OpenCV path")
		find_package(OpenCV)
		if(NOT OPENCV_FOUND)
			find_package(PkgConfig REQUIRED)
			pkg_check_modules(OPENCV opencv)
		endif()
		if(OPENCV_FOUND)
			set(HAVE_OPENCV TRUE)
			set(CMAKE_REQUIRED_INCLUDES ${OpenCV_INCLUDE_DIR})
			include_directories(${OpenCV_INCLUDE_DIR})
			CHECK_INCLUDE_FILE_CXX("${OPENCV_PREFIX}/include/opencv2/opencv.hpp" HAVE_OPENCV)
			if (HAVE_OPENCV)
				link_directories(${OPENCV_PREFIX}/lib)
			endif()
		endif()
	elseif(WIN32)
		 if (DEFINED OPENCV_PREFIX)
			set(OpenCV_DIR "${OPENCV_PREFIX}" CACHE FILEPATH "OpenCV 4.x path")
		 endif()
		 find_package(OpenCV)
		 if(${OPENCV_FOUND})
			set(OPENCV_WINDOWS_LIBRARY "opencv_world${OpenCV_VERSION_MAJOR}${OpenCV_VERSION_MINOR}${OpenCV_VERSION_PATCH}") # Kind of dirty, but works (as long they don't change their naming that is..)
			include_directories(${OPENCV_PREFIX}/include)
			link_directories(${OPENCV_PREFIX}/lib)
			set(HAVE_OPENCV TRUE)
		 else()
			set(OPENCV_PREFIX "opencv" CACHE FILEPATH "OpenCV 4.x path") # No real default path for windows, assume subfolder in source folder
			include_directories(${OPENCV_PREFIX}/include)
			link_directories(${OPENCV_PREFIX}/lib)
			#set(CMAKE_REQUIRED_INCLUDES ${OPENCV_PREFIX}/include)
			#CHECK_INCLUDE_FILE_CXX("${OPENCV_PREFIX}/include/opencv2/opencv.hpp" HAVE_OPENCV)
			if(EXISTS "${OPENCV_PREFIX}/include/opencv2/opencv.hpp")
				set(HAVE_OPENCV TRUE)
				message(STATUS "Found OpenCV")
				set(OPENCV_WINDOWS_LIBRARY "opencv_world410")
			endif()
		endif()
	endif()
	if(HAVE_OPENCV)
		if("${OpenCV_VERSION_MAJOR}" VERSION_LESS "4")
			if("${OpenCV_VERSION_MAJOR}" STREQUAL "3")
				add_definitions(-DHAVE_OPENCV_3_X)
			else()
				message(FATAL_ERROR "This software requires OpenCV 3.0.0 or higher")
			endif()
		endif()
		add_definitions(-DHAVE_OPENCV)
		if(UNIX)
			set(OPENCV_LIBRARIES opencv_core opencv_imgproc opencv_imgcodecs)
		endif()
	endif()
endif()

set(CUDA_FOUND FALSE)
if (ENABLE_CUDA)
	find_package(CUDA)
	if(CUDA_FOUND)
		add_definitions(-DHAVE_CUDA)
		include_directories(${CUDA_TOOLKIT_INCLUDE})
	else()
		message(STATUS "CUDA not found. disabled.")
	endif()
endif()

set(HAVE_UNICODE FALSE)
if(ENABLE_UNICODE)
	set(HAVE_UNICODE TRUE)
	add_definitions(-DUNICODE)
	add_definitions(-D_UNICODE)
endif()


include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

if(${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
	if(MINGW)
		set(OCV_COMPILER_DIRNAME "mingw")
	elseif(MSVC11)
		set(OCV_COMPILER_DIRNAME "vc11")
	elseif(MSVC14)
		set(OCV_COMPILER_DIRNAME "vc14")
	else()
		set(OCV_COMPILER_DIRNAME "vc12")
	endif()

	if(MSVC)
		set(CMAKE_CXX_FLAGS_RELEASE "/O2 /MT")
		set(CMAKE_CXX_FLAGS_DEBUG "/Zi /MT")
	endif()

	if(MINGW)
		SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -static")
	endif()

	if(CMAKE_SIZEOF_VOID_P EQUAL 8)
		set(OCV_SYSTEM_DIRNAME "x64")
	else()
		set(OCV_SYSTEM_DIRNAME "x86")
	endif()

	if(MSVC14)
		link_directories(${OPENCV_PREFIX}/${OCV_SYSTEM_DIRNAME}/${OCV_COMPILER_DIRNAME}/lib)
	else()
		link_directories(${OPENCV_PREFIX}/${OCV_SYSTEM_DIRNAME}/${OCV_COMPILER_DIRNAME}/staticlib)
	endif()
endif()

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "amd64" OR
	CMAKE_SYSTEM_PROCESSOR STREQUAL "AMD64" OR
	CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" OR
	CMAKE_SYSTEM_PROCESSOR STREQUAL "x86" OR
	CMAKE_SYSTEM_PROCESSOR MATCHES "^i.86$")
	set(X86_TRUE true)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^aarch|^arm")
	set(ARM_TRUE true)
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^ppc|^powerpc")
	set(PPC_TRUE true)
else()
	set(X86_TRUE false)
endif()

option(X86OPT "Enable X86 SIMD optimizations" ${X86_TRUE})
if(X86OPT)
	add_definitions(-DX86OPT)
	set(OPT_SOURCES src/modelHandler_avx.cpp src/modelHandler_fma.cpp src/modelHandler_sse.cpp)
endif()

option(ARMOPT "Enable ARM SIMD optimizations" ${ARM_TRUE})
if(ARMOPT)
	add_definitions(-DARMOPT)
	set(OPT_SOURCES src/modelHandler_neon.cpp)

	include(CheckCXXCompilerFlag)
	# -mfloat-abi=hard and -mfloat-abi=softfp cannot be mixed
	# -mfpu=neon and -march=armv7-a are not supported on armv8
	foreach(flag -mfloat-abi=hard -mfloat-abi=softfp -mfpu=neon -march=armv7-a)
		string(REGEX REPLACE "[-=]" "_" flagp ${flag})
		check_cxx_compiler_flag(${flag} ${flagp})
		if(${flagp} AND NOT ${flag} MATCHES "-march")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
		endif()
	endforeach()
endif()

option(PPCOPT "Enable PowerPC SIMD optimizations" ${PPC_TRUE})
if(PPCOPT)
	add_definitions(-DPPCOPT)
	set(OPT_SOURCES src/modelHandler_altivec.cpp)
endif()

add_library(w2xc SHARED
	src/modelHandler.cpp ${OPT_SOURCES}
	src/modelHandler_OpenCL.cpp src/convertRoutine.cpp src/threadPool.cpp
	src/modelHandler_CUDA.cpp src/w2xconv.cpp src/common.cpp
	src/cvwrap.cpp
	src/Env.cpp src/Buffer.cpp
	src/tstring.cpp
)

add_dependencies(w2xc gensrcs)


if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "^(Apple)?Clang$")
	set(CMAKE_CXX_STANDARD 17)
	if(CMAKE_COMPILER_IS_GNUCXX)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++17")
	else()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
	endif()
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

	if (${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
		set(REMOVE_SYMBOL "")
	else()
		set(REMOVE_SYMBOL "-s")
	endif()

	set(CMAKE_CXX_FLAGS_RELEASE "-O2 ${REMOVE_SYMBOL}")

	set_source_files_properties(src/modelHandler_avx.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -O2 -mavx ${REMOVE_SYMBOL}")
	set_source_files_properties(src/modelHandler_fma.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -O2 -mfma ${REMOVE_SYMBOL}")
	set_source_files_properties(src/modelHandler_sse.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -O2 -save-temps -msse3 ${REMOVE_SYMBOL}")
	set_source_files_properties(src/modelHandler_altivec.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -O2 -funroll-loops -maltivec ${REMOVE_SYMBOL}")
	if(_march_armv7_a)
		set_source_files_properties(src/modelHandler_neon.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} -O2 -march=armv7-a ${REMOVE_SYMBOL}")
	endif()
elseif(MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4819 /wd4996 /wd4800")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4819 /wd4996 /wd4800")
	set_source_files_properties(src/modelHandler_avx.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} /O2 /arch:AVX")
	set_source_files_properties(src/modelHandler_fma.cpp PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} /O2 /arch:AVX2")
endif()

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
	if(CUDA_FOUND)
		list(APPEND CUDA_NVCC_FLAGS "-m32")
	endif()
endif()

if(WIN32)
	if(CUDA_FOUND)
		list(APPEND CUDA_NVCC_FLAGS "-Xcompiler" "/wd 4819")
	endif()
	set_target_properties(w2xc PROPERTIES PREFIX "")
	set_target_properties(w2xc PROPERTIES IMPORT_PREFIX "")
	set_target_properties(w2xc PROPERTIES IMPORT_SUFFIX ".lib")
endif()

if(WIN32) # We build FOR windows.
	if(MINGW) # We build for windows on Linux MinGW (Cross compiling) # not yet working
		target_link_libraries(w2xc ${OPENCV_WINDOWS_LIBRARY} user32)
	elseif(MSVC) # we build natively on Visual studio
		target_link_libraries(w2xc ${OPENCV_WINDOWS_LIBRARY} user32)
	elseif(UNIX) # we build on linux.... on windows.. somehow WSL?/Cygwin? We'll see
		target_link_libraries(w2xc ${OPENCV_WINDOWS_LIBRARY} user32 ippicvmt)
	endif()
	if(ENABLE_GUI AND ENABLE_UNICODE AND ENABLE_OPENCV)

=== w32-apps/Makefile ===
all: w2xc.exe w2xcr.exe

CXXFLAGS=-I../src -I.. -I../..
LDLIBS=..\w2xc.lib

w2xcr.res: w2xcr.rc
	

w2xc.exe: w2xc.c w2xcr.res
	cl $(CXXFLAGS) w2xc.c /Few2xc.exe ..\w2xc.lib /MT /O2

w2xcr.exe: w2xcr.c
	cl $(CXXFLAGS) w2xcr.c /Few2xcr.exe ..\w2xc.lib /MT /O2 user32.lib Pathcch.lib shlwapi.lib gdi32.lib

clean:
	del w2xc.exe w2xcr.exe

copy:
	copy ..\..\w2xc.dll .

=== debian/changelog ===
waifu2x-converter-cpp-dmo (5.3.4-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 11:59:43 +0100

waifu2x-converter-cpp-dmo (5.3.4-dmo3) unstable; urgency=medium

  * Build with opencv 4.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 07:34:55 +0200

waifu2x-converter-cpp-dmo (5.3.4-dmo2) unstable; urgency=medium

  * Build with opencv 4.5d

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Nov 2021 08:44:49 +0100

waifu2x-converter-cpp-dmo (5.3.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Jan 2021 08:47:19 +0100

waifu2x-converter-cpp-dmo (5.3.3-dmo3) unstable; urgency=medium

  * Build with opencv 4.5

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Dec 2020 10:08:40 +0100

waifu2x-converter-cpp-dmo (5.3.3-dmo2) unstable; urgency=medium

  * Build with opencv 4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Feb 2020 14:34:55 +0100

waifu2x-converter-cpp-dmo (5.3.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2019 08:56:10 +0100

waifu2x-converter-cpp-dmo (5.3.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Dec 2019 14:04:37 +0100

waifu2x-converter-cpp-dmo (5.3.1-dmo2) unstable; urgency=medium

  * Build with opencv 4.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Oct 2019 08:52:32 +0200

waifu2x-converter-cpp-dmo (5.3.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2019 23:28:31 +0200

waifu2x-converter-cpp-dmo (5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Jun 2019 08:37:36 +0200

waifu2x-converter-cpp-dmo (5.2.20180401.git0529f441b7-dmo2) unstable; urgency=medium

  * Disable unneeded ARM optimizations.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Aug 2018 08:51:48 +0200

waifu2x-converter-cpp-dmo (5.2.20180401.git0529f441b7-dmo1) unstable; urgency=medium

  * Package code from DeadSix27 (was from https://github.com/tanakamura)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Aug 2018 15:38:32 +0200

waifu2x-converter-cpp-dmo (0.0+20171025+gitf89dd6191b-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Dec 2017 10:18:29 +0100

=== debian/control ===
Source: waifu2x-converter-cpp-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/DeadSix27/waifu2x-converter-cpp
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake, libtclap-dev, opencl-c-headers, quilt,
 libopencv-dev (>= 4.2~), ocl-icd-opencl-dev, ninja-build

Package: libw2xc0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image super-resolution for anime-style art library
 Image Super-Resolution for Anime-style art using Deep Convolutional Neural
 Networks.
 .
 This package contains the shared libraries.

Package: libw2xc-dev
Section: libdevel
Architecture: any
Depends: libw2xc0 (= ${binary:Version}), ${misc:Depends}
Description: development files for image super-resolution for anime-style art
 Image Super-Resolution for Anime-style art using Deep Convolutional Neural
 Networks.
 .
 This package contains the header files and static libraries which are
 needed for developing GTK+ applications.

#Package: waifu2x-converter
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: image super-resolution for anime-style art library
# Image Super-Resolution for Anime-style art using Deep Convolutional Neural
# Networks.
# .
# This package contains the binary.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DARMOPT=False \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DHAVE_OPENCV=1

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

	mv debian/tmp/usr/lib/libw2xc* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	rm -rf debian/tmp/usr/share/waifu2x-converter-cpp/

# Not yet
#	mv debian/tmp/usr/bin/waifu2x-converter-cpp debian/tmp/usr/bin/waifu2x-converter
	rm debian/tmp/usr/bin/waifu2x-converter-cpp

	dh_install

override_dh_clean:
	dh_clean test_src.png models_rgb/noise1_model.json.bin \
	models_rgb/noise2_model.json.bin models_rgb/scale2.0x_model.json.bin

override_dh_dwz override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/DeadSix27/waifu2x-converter-cpp/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
